slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPJDSetReusePreconditioner

Sets a flag indicating whether the preconditioner must be reused or not.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetReusePreconditioner(PEP pep,PetscBool reusepc)

Logically Collective

### Input Parameters

| pep | - the eigenproblem solver context
| reusepc | - the reuse flag

### Options Database Key

| -pep_jd_reuse_preconditioner | - the reuse flag

### Note

The default value is False. If set to True, the preconditioner is built only at the beginning, using the target value. Otherwise, it may be rebuilt (depending on the fix parameter) at each iteration from the Ritz value.

### See Also

PEPJDGetReusePreconditioner(), PEPJDSetFix()

### Level

advanced

### Location

src/pep/impls/jd/pjd.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages